Package org.wildfly.plugin.tools

## Class GalleonUtils

- java.lang.Object
- - org.wildfly.plugin.tools.GalleonUtils

-     public class GalleonUtils
      extends Object

  Utilities for provisioning a server with Galleon.
  Author:
    jdenise, James R. Perkins

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GalleonUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.jboss.galleon.api.config.GalleonProvisioningConfig` | `buildConfig​(org.jboss.galleon.api.GalleonBuilder pm, List<org.jboss.galleon.api.GalleonFeaturePack> featurePacks, List<String> layers, List<String> excludedLayers, Map<String,​String> pluginOptions, String layersConfigFileName)` | Build a Galleon provisioning configuration.
    `static org.jboss.galleon.api.config.GalleonProvisioningConfig` | `buildDefaultConfig()` | Build a default WildFly provisioning config.
    `static org.jboss.galleon.api.config.GalleonProvisioningConfig` | `buildDefaultConfig​(String featurePackLocation, String version)` | Build a default server provisioning config.
    `static void` | `provision​(Path jbossHome, String featurePackLocation, String version, org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver)` | Galleon provisioning of a default server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GalleonUtils

          public GalleonUtils()

  - ### Method Detail

    - #### provision

          public static void provision​(Path jbossHome,
                                       String featurePackLocation,
                                       String version,
                                       org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver)
                                throws org.jboss.galleon.ProvisioningException

      Galleon provisioning of a default server.
      Parameters:
        `jbossHome` - server installation directory
        `featurePackLocation` - the location of the feature pack
        `version` - server version, if null latest is used
        `artifactResolver` - artifact resolver used by Galleon
      Throws:
        `org.jboss.galleon.ProvisioningException` - if there is an error provisioning the server

    - #### buildDefaultConfig

          public static org.jboss.galleon.api.config.GalleonProvisioningConfig buildDefaultConfig()
                                                                                           throws org.jboss.galleon.ProvisioningException

      Build a default WildFly provisioning config.
      Returns:
        the default WildFly configuration
      Throws:
        `org.jboss.galleon.ProvisioningException` - if an error occurs creating the configuration

    - #### buildDefaultConfig

          public static org.jboss.galleon.api.config.GalleonProvisioningConfig buildDefaultConfig​(String featurePackLocation,
                                                                                                  String version)
                                                                                           throws org.jboss.galleon.ProvisioningException

      Build a default server provisioning config.
      Parameters:
        `featurePackLocation` - the feature pack location
        `version` - server version, if null latest is used.
      Returns:
        the default configuration for the feature pack location
      Throws:
        `org.jboss.galleon.ProvisioningException` - if an error occurs creating the configuration

    - #### buildConfig

          public static org.jboss.galleon.api.config.GalleonProvisioningConfig buildConfig​(org.jboss.galleon.api.GalleonBuilder pm,
                                                                                           List<org.jboss.galleon.api.GalleonFeaturePack> featurePacks,
                                                                                           List<String> layers,
                                                                                           List<String> excludedLayers,
                                                                                           Map<String,​String> pluginOptions,
                                                                                           String layersConfigFileName)
                                                                                    throws org.jboss.galleon.ProvisioningException,
                                                                                           IllegalArgumentException

      Build a Galleon provisioning configuration.
      Parameters:
        `pm` - The Galleon provisioning runtime
        `featurePacks` - The list of feature-packs
        `layers` - Layers to include
        `excludedLayers` - Layers to exclude
        `pluginOptions` - Galleon plugin options
        `layersConfigFileName` - The name of the configuration generated from layers
      Returns:
        the provisioning config
      Throws:
        `org.jboss.galleon.ProvisioningException` - if an error occurs creating the configuration
        `IllegalArgumentException`